# SiteAlert

This plugin monitors the health and security of your WordPress site! It check your WordPress installation to ensure that it is healthy, up to date, and secure. Use the SiteAlert page to quickly see the results of these checks using the simple color-coded sections.

Feel free to browse the code and make suggestions/requests.

Check out our [premium features](https://sitealert.io/) to get instant alerts if you site goes down, speed test monitoring, and much more!

## Getting Started

We do not currently use any build scripts. This repo can be downloaded as a zip and installed as-is as a WordPress plugin.

Once installed, there will be a new **SiteAlert** page added to the Tools menu and heart icon to your admin bar if the results of these checks need attention.

## Contributing

Community made feature requests, patches, localisations, bug reports and contributions are always welcome and are crucial to ensure SiteAlert continues to grow to become the #1 WordPress monitor.

When contributing please ensure you follow the guidelines below so that we can keep on top of things.

Please Note: GitHub is not intended for support based questions. For those, please use the [support forums](https://wordpress.org/support/plugin/my-wp-health-check).

### Creating Issues

* If you have any bugs or feature requests, please [create an issue](https://github.com/fpcorso/wordpress-health-check/issues/new)
* For bug reports, please clearly describe the bug/issue and include steps on how to reproduce it
* For feature requests, please clearly describe what you would like, how it would be used, and example screenshots (if possible)

### Pull Requests

* Ensure you stick to the [WordPress Coding Standards](https://codex.wordpress.org/WordPress_Coding_Standards)
* When committing, reference your issue (if present) and include a note about the fix
* Push the changes to your fork and submit a pull request to the 'master' branch of this repository
* We are trying to ensure that every function is documented well and follows the standards set by phpDoc going forward
* Finally, please use tabs and not spaces. The tab indent size should be 4 for all SiteAlert code

## Deployment

This WordPress plugin is automatically deployed when a new GitHub release is created from master.

## Versioning

We use [SemVer](http://semver.org/) for versioning. For the versions available, see [the releases in this repository](https://github.com/fpcorso/wordpress-health-check/releases).

## Developers

* SiteAlert team

See also [the list of contributors](https://github.com/fpcorso/wordpress-health-check/graphs/contributors) who participated in this project.

## License

This project is licensed under the GPLv2 License - see the [LICENSE.md file](https://github.com/fpcorso/wordpress-health-check/blob/master/LICENSE.md) for details.

## Support

This is a developer's portal for SiteAlert and should _not_ be used for support. Please create a support ticket [here](https://wordpress.org/support/plugin/my-wp-health-check).
